package cn.axzo.workflow.core.converter.json;

import cn.axzo.workflow.common.model.request.bpmn.BpmnJsonNode;
import org.flowable.bpmn.model.Process;
import org.flowable.bpmn.model.ReceiveTask;

/**
 * 接收任务节点
 *
 * @author wangli
 * @since 2023/10/13 17:01
 */
public class ReceiveTaskJsonConverter extends AbstractBpmnJsonConverter<ReceiveTask> {

    @Override
    public ReceiveTask convertJsonToElement(BpmnJsonNode node, Process process) {
        ReceiveTask receiveTask = new ReceiveTask();

        receiveTask.setId(node.getId());
        receiveTask.setName(node.getName());

        return receiveTask;
    }

}
